# Banagram.c

An anagram finder optimised for the game bananagrams-battle. It allows finding 
words that contain all the letters of a given word, plus any given number of 
letters from a pool of available letters. 

To do this use 

```
$ # banagram min <num extra letters> <word> <(optional) string of available letters>"
$ banagram min 999 hello gufsv
hello
lughole + 1g 1u
shovelful + 1f 1s 1u 1v
```

Alternatively, to find all words containing exactly all the same letters as a 
given word, use:

```
$ # banagram exact word
$ banagram e meal
elam
elma
male
lame
male
meal
```

## TODO:

- Improve interface, replace manual parsing code with `getopt(3)`
- General cleanup and commenting
